Bug 147004 - fontconfig should look for fonts in /usr/local/share/fonts by default
Summary: fontconfig should look for fonts in /usr/local/share/fonts by default
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-03 16:34 UTC by sdh4
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 14:36:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sdh4 2005-02-03 16:34:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.18

Description of problem:
Fontconfig should look for fonts in /usr/local/share/fonts by default.
This would allow font installations that survive reinstalls or appear
automatically with a network mounted /usr/local


Version-Release number of selected component (if applicable):
fontconfig-2.2.3-5

How reproducible:
Always

Steps to Reproduce:
1. Dump fonts in /usr/local/share/fonts
2. Try to access them
3. Doesn't work
    

Additional info:

Add 

<dir>/usr/local/share/fonts</dir>

to /etc/fonts/fonts.conf

Comment 1 George 2006-04-29 16:47:22 UTC
Ok, this Bug is affecting fedora core 5. 
I can't install/delete fonts from kde control center until i add the 
<dir>/usr/local/share/fonts</dir> line to /etc/fonts/fonts.conf.
It's annoying, this was reproduced on more than one system.
It's affecting Fedora core5 with kde 3.5.1 and 3.5.2

Comment 2 Matthew Miller 2006-07-10 23:22:34 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Behdad Esfahbod 2007-10-25 14:36:55 UTC
Upstreamed.
https://bugs.freedesktop.org/show_bug.cgi?id=12926

Comment 4 Behdad Esfahbod 2007-10-26 01:08:54 UTC
Fixed it downstream now.


Note You need to log in before you can comment on or make changes to this bug.